| Multivariate Pattern Analysis in Python

### Navigation

- index
- next |
- previous |
- ExpPsy Project |
- NeuroDebian Project |
- PyMVPA 0.4.x Home |
- PyMVPA Home |
- Documentation »
- Module Reference »

This content refers to the previous stable release of PyMVPA. Please visit www.pymvpa.org for the most recent version of PyMVPA and its documentation.

# clfs.libsmlrc.ctypes_helper

## Module: `clfs.libsmlrc.ctypes_helper`

Helpers for wrapping C libraries with ctypes.

## Functions

`mvpa.clfs.libsmlrc.ctypes_helper.``extend_args`(*args)

  Turn ndarray arguments into dims and arrays.

`mvpa.clfs.libsmlrc.ctypes_helper.``get_argtypes`(*args)

`mvpa.clfs.libsmlrc.ctypes_helper.``process_args`(*args)

  Turn ndarray arguments into dims and array pointers for calling a ctypes-wrapped function.

### Navigation

- index
- next |
- previous |
- ExpPsy Project |
- NeuroDebian Project |
- PyMVPA 0.4.x Home |
- PyMVPA Home |
- Documentation »
- Module Reference »